import { jsx } from "react/jsx-runtime";
import { FileVue as FileVue$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileVue = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FileVue", ...props, children: /* @__PURE__ */ jsx(FileVue$1, { weight: variant }) });
  }
);
FileVue.displayName = "FileVue";
Object.assign(FileVue, { isGdsIcon: true });
export {
  FileVue
};
